Loading...
Searching...
No Matches
apr_hdtr_t Struct Reference
Apache Portability Runtime library » Network Routines

`#include <apr_network_io.h>`

## Data Fields

struct iovec * | headers
int | numheaders
struct iovec * | trailers
int | numtrailers

## Detailed Description

A structure to encapsulate headers and trailers for apr_socket_sendfile

## Field Documentation

## headers

struct iovec* apr_hdtr_t::headers

An iovec to store the headers sent before the file.

## numheaders

int apr_hdtr_t::numheaders

number of headers in the iovec

## numtrailers

int apr_hdtr_t::numtrailers

number of trailers in the iovec

## trailers

struct iovec* apr_hdtr_t::trailers

An iovec to store the trailers sent after the file.

The documentation for this struct was generated from the following file:

- apr_network_io.h